apiVersion: batch/v1
kind: CronJob
metadata:
  name: copy-certificates
spec:
  schedule: '@daily'
  concurrencyPolicy: Forbid
  jobTemplate:
    metadata:
      labels:
        app.kubernetes.io/part-of: adguard
        app.kubernetes.io/for: update
        app.kubernetes.io/component: certificates
    spec:
      ttlSecondsAfterFinished: 10
      template:
        metadata:
          name: copy-certificates
        spec:
          restartPolicy: OnFailure
          containers:
            - name: copy-certificates
              image: rclone
              imagePullPolicy: IfNotPresent
              command:
                - /copy-certificates.sh
              volumeMounts:
                - mountPath: /copy-certificates.sh
                  subPath: copy-certificates.sh
                  name: copy-certificates
                - mountPath: /certs
                  name: certificates
                - mountPath: /keys
                  name: keys
          volumes:
            - name: copy-certificates
              configMap:
                name: copy-certificates
                defaultMode: 0777
            - name: certificates
              secret:
                secretName: adguardhome
            - name: keys
              secret:
                secretName: copy-certificates-keys
                defaultMode: 0600
